# Salty Spitoon Matchmaking

This is an early access mod which attempts to make competitive matchmaking faster for players with a high rating.

It speeds up match finding by making your game immediately connect to competitive rooms with players that have rankings above 700 and making the game search for rooms twice as frequently. Hopefully this allows the competitive queue to give better games to strong players than quickplay.

Note: This does **not** increase the number of high rated players looking for a competitive queue game. But, hey, if it works well, maybe more high rated players decide to choose competitive over quickplay ;)

If you're a lower ranked player, please consider *not* installing this mod. It will substantially reduce the amount of games you have access to because there are not many players with ratings above 700.

# What does it do specifically?

Under normal circumstances, matchmaking works as follows:

* Look for ranked lobbies within +- 100 ratings points of the player.
* If none are found, make a ranked lobby for 180 seconds.
* Leave the ranked lobby.
* Search for ranked lobbies within +- 200 ratings points of the player.
* Create a ranked lobby. Wait for 120 seconds.
* Leave the ranked lobby.
* Search for ALL ranked lobbies awaiting challengers. YOLO into the first one you find.
* If you failed to find a lobby to YOLO into, create a lobby with the previous requirements and wait 120 seconds.
* Leave the lobby and throw an error.

You may notice that you can force the game to look for ranked lobbies by backing out and back in. This particular flow is why that trick is faster.

With this mod, the following occurs.

* Look for ranked lobbies with opponents that have a rating > 700.
* If none are found, make a ranked lobby for 90 seconds.
* Leave the ranked lobby.
* Look for ranked lobbies with opponents that have a rating > 700.
* Create a ranked lobby. Wait for 60 seconds.
* Leave the ranked lobby.
* Search for ALL ranked lobbies awaiting challengers. YOLO into the first one you find.
* If you failed to find a lobby to YOLO into, create a lobby with the previous requirements and wait 60 seconds.
* Leave the lobby and throw an error.

# Installation
The easiest way to install this is to use the Slime Mod Manager.

## Manual Installation
If your game isn't modded with BepinEx, DO THAT FIRST! Simply go to the latest BepinEx release and extract BepinEx_x64_VERSION.zip directly into your game's folder, then run the game once to install BepinEx properly.

Then, go to the latest release of this mod and place the dll into your plugins folder (BepInEx/plugins).

# Usage

No configuration needed!
